Bug 23261 - RecordedBooks - notify patron of need to login / register to see availability
Summary: RecordedBooks - notify patron of need to login / register to see availability
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-03 19:11 UTC by Nick Clemens
Modified: 2020-01-15 21:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This enhancement makes the RBDigital Recorded Books subscription more discoverable to library patrons by adding a notice to the OPAC for patrons to register and login with RBDigital if they have not already done so.
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 23261: Add notice for login/registering to RBdigital results (2.76 KB, patch)
2019-07-03 19:15 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23261: Add notice for login/registering to RBdigital results (2.81 KB, patch)
2019-10-25 14:23 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23261: Add notice for login/registering to RBdigital results (2.89 KB, patch)
2019-12-05 12:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23261: Add notice for login/registering to RBdigital results (2.89 KB, patch)
2019-12-17 02:08 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23261: (follow-up) Use logged_in_user and move test (2.34 KB, patch)
2019-12-17 02:08 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-07-03 19:11:22 UTC

    
Comment 1 Nick Clemens 2019-07-03 19:15:47 UTC
Created attachment 91233 [details] [review]
Bug 23261: Add notice for login/registering to RBdigital results

To test:
 1 - You will need a valid library RBDigital account
 2 - Fill in the RecordedBooks system preferences
 3 - Open the catalog, perform a search with RBDigtal resuls, 'love' often works
 4 - Click to the results
 5 - Note if not logged you don't see availability
 6 - Log in with a patron with no email, note you do not see any notice that you must register your email with RBDigital
 7 - Apply patch
 8 - Reload results, you now see a notice to register with rbdigital, do so unless you already have an account
 9 - Add your associated email to the koha account
10 - Reload results, note you see availability
11 - Log out, reload results
12 - Note you see a promp to login to see availability
Comment 2 ByWater Sandboxes 2019-10-25 14:23:30 UTC
Created attachment 94773 [details] [review]
Bug 23261: Add notice for login/registering to RBdigital results

To test:
 1 - You will need a valid library RBDigital account
 2 - Fill in the RecordedBooks system preferences
 3 - Open the catalog, perform a search with RBDigtal resuls, 'love' often works
 4 - Click to the results
 5 - Note if not logged you don't see availability
 6 - Log in with a patron with no email, note you do not see any notice that you must register your email with RBDigital
 7 - Apply patch
 8 - Reload results, you now see a notice to register with rbdigital, do so unless you already have an account
 9 - Add your associated email to the koha account
10 - Reload results, note you see availability
11 - Log out, reload results
12 - Note you see a promp to login to see availability

Signed-off-by: Jessica Zairo <jzairo@bywatersolutions.com>
Comment 3 Jessie Zairo 2019-10-25 14:25:38 UTC
Works as described. Screencast available at: https://drive.google.com/file/d/14y5GfGtpt4IUClkKmlnhkFPaSCfyMr2s/view
Comment 4 Jonathan Druart 2019-12-05 12:42:02 UTC
Created attachment 96038 [details] [review]
Bug 23261: Add notice for login/registering to RBdigital results

To test:
 1 - You will need a valid library RBDigital account
 2 - Fill in the RecordedBooks system preferences
 3 - Open the catalog, perform a search with RBDigtal resuls, 'love' often works
 4 - Click to the results
 5 - Note if not logged you don't see availability
 6 - Log in with a patron with no email, note you do not see any notice that you must register your email with RBDigital
 7 - Apply patch
 8 - Reload results, you now see a notice to register with rbdigital, do so unless you already have an account
 9 - Add your associated email to the koha account
10 - Reload results, note you see availability
11 - Log out, reload results
12 - Note you see a promp to login to see availability

Signed-off-by: Jessica Zairo <jzairo@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2019-12-05 12:43:14 UTC
Note: I did not test this patch, trusting author and tester.

Nick, it is better to use "logged_in_user" instead of other loggedin* variables, which should be remove in the future. Not blocker however, and did not want to amend a patch I am not able to test.
Comment 6 Nick Clemens 2019-12-17 02:08:15 UTC
Created attachment 96356 [details] [review]
Bug 23261: Add notice for login/registering to RBdigital results

To test:
 1 - You will need a valid library RBDigital account
 2 - Fill in the RecordedBooks system preferences
 3 - Open the catalog, perform a search with RBDigtal resuls, 'love' often works
 4 - Click to the results
 5 - Note if not logged you don't see availability
 6 - Log in with a patron with no email, note you do not see any notice that you must register your email with RBDigital
 7 - Apply patch
 8 - Reload results, you now see a notice to register with rbdigital, do so unless you already have an account
 9 - Add your associated email to the koha account
10 - Reload results, note you see availability
11 - Log out, reload results
12 - Note you see a promp to login to see availability

Signed-off-by: Jessica Zairo <jzairo@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Nick Clemens 2019-12-17 02:08:18 UTC
Created attachment 96357 [details] [review]
Bug 23261: (follow-up) Use logged_in_user and move test
Comment 8 Martin Renvoize 2020-01-02 16:19:10 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Martin Renvoize 2020-01-03 10:50:12 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-01-12 21:36:43 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 11 Jonathan Druart 2020-01-14 09:42:48 UTC
(In reply to Joy Nelson from comment #10)
> Pushed to 19.11.x branch for 19.11.02

Hi Joy, there was a RM follow-up that was not attach to this bug report:
  commit 42d40e372e25cc4790290dcd0bb31c50f237f5fe
  Bug 23261: (RM follow-up) Add missing uri filter
It will fix the failure for xt/find-missing-filters.t on 19.11
Comment 12 Joy Nelson 2020-01-14 14:27:53 UTC
Thanks Jonathan.  Last commit pushed to 19.11.x branch for 19.11.02


(In reply to Jonathan Druart from comment #11)
> (In reply to Joy Nelson from comment #10)
> > Pushed to 19.11.x branch for 19.11.02
> 
> Hi Joy, there was a RM follow-up that was not attach to this bug report:
>   commit 42d40e372e25cc4790290dcd0bb31c50f237f5fe
>   Bug 23261: (RM follow-up) Add missing uri filter
> It will fix the failure for xt/find-missing-filters.t on 19.11
Comment 13 Lucas Gass 2020-01-15 21:17:06 UTC
enhancement will not be backported to 19.05.x series